Subject: bug#51138: Increase the value of kill-ring-max

From: Juri Linkov <[email-masked]>
Date: Wed, 13 Oct 2021 21:22:36 +0300

>> It should also fix the issue indicated by Juri by adding a new user
>> option for the number of entries in the "Paste from Kill Ring" menu.
>> I set it to 60 by default, as that was the previous max number of
>> entries, and it feels like it should have the least amount of impact to
>> just change nothing, but I'm open to alternative suggestions.
>
> Thanks.  It makes sense to reduce the default value of yank-menu-max-items
> because long menus are hard to navigate, but OTOH indeed maybe better
> to leave it at the previous max number.

There is one reason for reducing the default number because a large number
of menu items slows down menu display.